//-------------------- CSPODBCException.h ---------------------

//*************************************************************
//*****       Copyright ©2002 - 2004 Micronovae Ltd       *****
//*****                All rights reserved                *****
//*************************************************************


#ifndef _CSPODBCEXCEPTION
#define _CSPODBCEXCEPTION

#include "CSPConf.h"
#include "CSPLib.h"
#include "CSPException.h"

class CSPODBC_CLASS_EXPORT CSPODBCException : public CSPException
{
	public:
		CSPODBCException();
		CSPODBCException( const CSPString& strMessage, const CSPString& strODBCCode = CSPString(), int iNativeErrorCode = 0 );
		virtual ~CSPODBCException();

		virtual const CSPString& GetType() const;

		void SetDiagCode( const CSPString& strDiagCode );
		const CSPString& GetDiagCode() const;
		void SetNativeErrorCode( int iNativeErrorCode );
		int GetNativeErrorCode() const;

	protected:
		CSPString m_strDiagCode;

	private:
		static CSPString m_strODBCType;
};

#endif
